POST
/affiliate_creator/202409/showcases/products/top
Use this API to move products to the top of the authenticated creator’s showcase. The platform will return the error code and error message if the pinning operation fails.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
product_ids
required
The IDs of products that are already in the creator’s showcase and should be moved to the top. If you provide multiple product IDs, the products are displayed at the top in the same order as the IDs in this array.
Array<string>
Example
{ "product_ids": [ "12390753231", "7102893481290" ]}Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
code
The success or failure status code returned in API response.
integer format: int64
message
The success or failure messages are returned in API response. Reasons of failure will be described in the message.
string
request_id
Every request generates a unique request_id for logging purposes.
string
Example
{ "code": 0, "data": { "code": 0, "message": "Success", "request_id": "202203070749000101890810281E8C70B7" }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}